Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008937 [DCSS] Bug Report minor have not tried 2014-09-07 11:52 2014-12-08 17:35
Reporter Yermak View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status closed   Product Branch 0.15 ancient branch
Summary 0008937: Undead and negative clouds
Description This seems like an undesirable monsters' AI behaviour: My rod created clouds of negative energy and skeletal warrior was afraid to enter it.
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Let-resistant-monsters-ability-to-enter-clouds.patch [^] (4,113 bytes) 2014-11-16 23:05 [Show Content]
? file icon 01-resistant-monsters-clouds-sane-magic-numbers.patch [^] (6,438 bytes) 2014-11-16 23:52 [Show Content]

- Relationships
related to 0005658resolvedPleasingFungus Holy beings will not cross holy fire 

-  Notes
(0027771)
ebering (developer)
2014-11-16 23:06

Negative energy clouds are not the only ones with this problem.

Steam, Holy Flames, Storms, and Acid clouds were all missing. The attached patch modifies mons_avoids_cloud to make some saner decisions.
(0027779)
PleasingFungus (administrator)
2014-11-17 04:15

Patch pushed, thanks!

- Issue History
Date Modified Username Field Change
2014-09-07 11:52 Yermak New Issue
2014-09-07 17:24 PleasingFungus Relationship added related to 0005658
2014-11-16 23:05 ebering File Added: 0001-Let-resistant-monsters-ability-to-enter-clouds.patch
2014-11-16 23:06 ebering Note Added: 0027771
2014-11-16 23:52 ebering File Added: 01-resistant-monsters-clouds-sane-magic-numbers.patch
2014-11-17 04:15 PleasingFungus Note Added: 0027779
2014-11-17 04:15 PleasingFungus Status new => resolved
2014-11-17 04:15 PleasingFungus Fixed in Branch => 0.16 development branch
2014-11-17 04:15 PleasingFungus Resolution open => done
2014-11-17 04:15 PleasingFungus Assigned To => PleasingFungus
2014-12-08 17:35 Yermak Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker